Bug 976808 - After a Fedora update, unzip is no more able to extract sub-directories from a zip archive
After a Fedora update, unzip is no more able to extract sub-directories from ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: unzip (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 10:01 EDT by Berthault
Modified: 2013-07-09 21:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: unzip-6.0-10.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 20:57:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Berthault 2013-06-21 10:01:27 EDT
Description of problem:
After a yum update on June 20 2013, the unzip package has been updated to the 6.0-9 release. But since this update, unzip is no more able to extract sub-directories from a zip archive. Sub-directories are ignored and not extracted.

I've zipped a directory with the following structure :
  bin
  src
    |_ lib

When I unzip the src directory of my archive with the command :
   unzip archive.zip src/'*'

then the src directory is extracted but not the src/lib sub-directory.

Before the update of unzip, it was OK !

Version-Release number of selected component (if applicable):
Fedora 18.
Unzip 6.0-9.

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Michal Luscon 2013-06-24 05:32:01 EDT
Hi Tom,

do you have any idea what could cause this issue?

Michal
Comment 2 Tom "spot" Callaway 2013-06-24 10:25:08 EDT
Yeah, I enabled WILD_STOP_AT_DIR. I thought that was consistent with the previous build behavior, but now I see that it was not. I'll fix this asap.
Comment 3 Fedora Update System 2013-06-24 13:35:27 EDT
unzip-6.0-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/unzip-6.0-10.fc19
Comment 4 Fedora Update System 2013-06-24 13:35:36 EDT
unzip-6.0-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/unzip-6.0-10.fc18
Comment 5 Fedora Update System 2013-06-24 23:25:55 EDT
Package unzip-6.0-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing unzip-6.0-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11629/unzip-6.0-10.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-03 20:57:14 EDT
unzip-6.0-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-07-09 21:25:51 EDT
unzip-6.0-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.